Package be.fgov.ehealth.etee.kgss._1_0.protocol

# Class GetNewKeyResponseContent

java.lang.Object
be.fgov.ehealth.etee.kgss._1_0.protocol.GetNewKeyResponseContent

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetNewKeyResponseContent extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="NewKeyIdentifier" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="NewKey" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetNewKeyResponseContent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getNewKey()`
  Gets the value of the newKey property.
  `byte[]`
  `getNewKeyIdentifier()`
  Gets the value of the newKeyIdentifier property.
  `void`
  `setNewKey(byte[] value)`
  Sets the value of the newKey property.
  `void`
  `setNewKeyIdentifier(byte[] value)`
  Sets the value of the newKeyIdentifier property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetNewKeyResponseContent

    public GetNewKeyResponseContent()

- ## Method Details

  - ### getNewKeyIdentifier

    public byte[] getNewKeyIdentifier()
    Gets the value of the newKeyIdentifier property.
    Returns:
      possible object is byte[]

  - ### setNewKeyIdentifier

    public void setNewKeyIdentifier(byte[] value)
    Sets the value of the newKeyIdentifier property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getNewKey

    public byte[] getNewKey()
    Gets the value of the newKey property.
    Returns:
      possible object is byte[]

  - ### setNewKey

    public void setNewKey(byte[] value)
    Sets the value of the newKey property.
    Parameters:
      `value` - allowed object is byte[]